% Input:
%x : vector (to optimize)
%x0: function handle (support function)
%L: Matrix (containing row-wise direction vectors)

% Output:
% c: inequalityconstraints
% ceq: equlityconstraints

% Description:
% Defines the constraints for the optimization of Rx0 (for algo1)

function[c,ceq] = nebenbed(x,x0,L)
% no equalities
ceq = [];
% inequalities
dim = size(L);

c = zeros(dim(1),1);

for i= 1:1:dim(1)
    l = L(i,:);
    c(i,1) = (l * x)- x0(l);
end;